KDE 4.9 PyKDE API Reference

- KDE's Python API

# ServerManager Class Reference

`from PyKDE4.akonadi import *`

Inherits: QObject
Namespace: Akonadi

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

Provides methods to control the Akonadi server process.

Asynchronous, low-level control of the Akonadi server. Akonadi.Control provides a synchronous interface to some of the methods in here.

Author:
  Volker Krause <vkrause@kde.org>

See also:
  Akonadi.Control

Since:
  4.2

## Enumerations

State | { NotRunning, Starting, Running, Stopping, Broken }

## Signals

| started ()
| stateChanged (Akonadi.ServerManager.State state)
| stopped ()

## Static Methods

bool | isRunning ()
Akonadi.ServerManager | self ()
| showSelfTestDialog (QWidget parent)
bool | start ()
Akonadi.ServerManager.State | state ()
bool | stop ()

## Signal Documentation

started | ( |  | ) |

Emitted whenever the server becomes fully operational.

Signal syntax:
  `QObject.connect(source, SIGNAL("started()"), target_slot)`

stateChanged | ( | Akonadi.ServerManager.State | state
| ) |  |  |

Emitted whenever the server state changes.

Since:
  4.5

Signal syntax:
  `QObject.connect(source, SIGNAL("stateChanged(Akonadi::ServerManager::State)"), target_slot)`

stopped | ( |  | ) |

Emitted whenever the server becomes unavailable.

Signal syntax:
  `QObject.connect(source, SIGNAL("stopped()"), target_slot)`

## Static Method Documentation

bool isRunning | ( |  | ) |

Checks if the server is available currently. For more detailed status information see state().

See also:
  state()

Akonadi.ServerManager self | ( |  | ) |

Returns the singleton instance of this class, for connecting to its signals

showSelfTestDialog | ( | QWidget | parent
| ) |  |  |

Shows the Akonadi self test dialog, which tests Akonadi for various problems and reports these to the user if.

Parameters:

  | parent | the parent widget for the dialog

bool start | ( |  | ) |

Starts the server. This method returns imediately and does not wait until the server is actually up and running.

Returns:
  true if the start was possible (which not necessarily means the server is really running though) and false if an immediate error occurred.

See also:
  Akonadi.Control.start()

Akonadi.ServerManager.State state | ( |  | ) |

Returns the state of the server.

Since:
  4.5

bool stop | ( |  | ) |

Stops the server. This methods returns immediately after the shutdown command has been send and does not wait until the server is actually shut down.

Returns:
  true if the shutdown command was sent successfully, false otherwise

## Enumeration Documentation

State

Enum for the various states the server can be in.

Since:
  4.5

Enumerator:

  NotRunning |
  Starting |
  Running |
  Stopping |
  Broken |